################################################################################
# ftp_vers.sh - ftp version information to remote webserver
#
# J. David Schronce
################################################################################
# This file contains open text passwords
# Be sure to chmod it 700
################################################################################
#
# WEBHOST - FQDN for remote webserver
#
# FTPUSER - username for remote webserver
#
# FTPPASSWD - password for FTPUSER
#
# DISPLAYDIR - full path from "/" to target directory in webserver
#
################################################################################
WEBHOST=webserver.company.com
FTPUSER=ftpguy
FTPPASSWD=NoneYoBidnuss
DISPLAYDIR=/usr/apache/wwwroot/versions/from_machine_name
################################################################################

if [ $# -ne 1 ]; then
  echo "\nUSAGE: $0 OUTPUTDIR\n"
  exit
fi

OUTPUTDIR=$1
################################################################################
#
# FTP to webserver
#
################################################################################

ftp -n $WEBHOST << EOF
user $FTPUSER  $FTPPASSWD
prompt 
lcd $OUTPUTDIR
cd $DISPLAYDIR
mput *htm
mput *csv
mput *html
bye 
EOF

################################################################################
#
# Cleanup
#
################################################################################
cd $OUTPUTDIR
rm *htm *csv *html
